Bug 39716 - Import of values in scientific notation from CSV file
Summary: Import of values in scientific notation from CSV file
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.4.2 release
Hardware: All All
: low minor
Assignee: Eike Rathke
QA Contact:
URL:
Whiteboard: target:3.6.0
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-01 06:13 UTC by Frank
Modified: 2012-06-07 17:30 UTC (History)
1 user (show)

See Also:


Attachments
A test case of scientific notation in a CSV file (1.26 KB, text/csv)
2011-08-01 06:18 UTC, Frank
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Frank 2011-08-01 06:13:12 UTC

    
Comment 1 Frank 2011-08-01 06:15:50 UTC
When importing a CSV file that contains values in scientific notation, the values are imported as text instead of as values.
Comment 2 Frank 2011-08-01 06:18:25 UTC
Created attachment 49786 [details]
A test case of scientific notation in a CSV file
Comment 3 Frank 2011-08-01 06:33:19 UTC
To reproduce:
1) Open LibreOffice
2) Select "Spreadsheet"
3) Click "File -> Open..."
3) Select test case file attached to this bug report
4) Ensure that "Comma" is selected under "Separated by" and text delimiter is "
5) Click "OK"

I now see that selecting the "Detect special numbers" option does allow the scientific notation to be interpreted correctly, but one would think that it should be detected correctly by default anyway.
Comment 4 Björn Michaelsen 2011-12-23 12:21:33 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 5 Eike Rathke 2012-04-03 09:31:54 UTC
Resetting automatically applied "needinfo", description and test case are clear.
Comment 6 Not Assigned 2012-04-03 12:00:01 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=35fed09a0c5560b56ba53c64da8dea28bf88acff

resolved fdo#39716 CSV import numbers in scientific notation
Comment 7 Francisco 2012-06-07 17:30:32 UTC
Thank you very much for this.